#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define			sname	%(echo %{name} | cut -d '-' -f1)
#-----------------------------------------------------------------------------
Name		:	libtorrent-rasterbar
Version		:	2.0.10
Release		:	17.2.0.rel%{?dist}
Summary		:	C++ library implementing the BitTorrent protocol
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	https://github.com/arvidn/libtorrent/releases

Source0		:	%{name}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	boost
BuildRequires	:	openssl-devel
#-----------------------------------------------------------------------------
%description
'%{name}' is an open source C++ library implementing the
BitTorrent protocol, along with most popular extensions,
making it suitable for real world deployment.
It is configurable to be able to fit both servers and
embedded devices.

The main goals of libtorrent are to be efficient and easy
to use.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS LICENSE NEWS README.rst
%{_includedir}/%{sname}/*.hpp
%{_includedir}/%{sname}/aux_/route.h
%{_includedir}/%{sname}/aux_/*.hpp
%{_includedir}/%{sname}/extensions/*.hpp
%{_includedir}/%{sname}/kademlia/*.hpp
%{_libdir}/%{name}.so*
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/LibtorrentRasterbar/*.cmake
%{_datadir}/cmake/Modules/*.cmake

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
%build

cmake							\
	-S .						\
	-B _bld						\
	-G Ninja					\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}		\

cmake							\
	--build _bld					\
	--parallel %(/usr/bin/getconf _NPROCESSORS_ONLN)\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	cmake						\
	--install _bld					\

#-----------------------------------------------------------------------------
%changelog
